path: /build/build/snappy-dev-python-0.5.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/snappy -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/snappy
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/snappy && luet-portage --dir /pkgdir/snappy
    dev-python/snappy && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: snappy
    version: 0.5.1
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Python library for the snappy compression library from Google
    uri:
    - https://pypi.org/project/python-snappy/
    license: BSD
    buildtimestamp: 2023-09-23 13:17:19.737519075 +0000 UTC m=+104.433752643
    labels:
      DEPEND: '>=app-arch/snappy-1.0.2:= dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python2_7 python_targets_python3_10
      RDEPEND: '>=app-arch/snappy-1.0.2:= python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
        ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
      emerge.packages: dev-python/snappy
      kit: python-modules-kit
      original.package.name: dev-python/snappy
      original.package.slot: "0"
      original.package.version: 0.5.1
    treedir: /build/packages
  package_dir: /pkgdir/snappy
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 457e0f375e5ddf5d608638eca3b327b635272a6b50963427eb85f1a3c739156a
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/__pycache__/snappy.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/snappy.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/snappy.cpython-39.pyc
- usr/lib/python3.9/site-packages/__pycache__/snappy_cffi.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/snappy_cffi.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/snappy_cffi.cpython-39.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy.cpython-39.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy_cffi.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy_cffi.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/test_snappy_cffi.cpython-39.pyc
- usr/lib/python3.9/site-packages/_snappy.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/python_snappy-0.5.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/snappy.py
- usr/lib/python3.9/site-packages/snappy_cffi.py
- usr/lib/python3.9/site-packages/test_snappy.py
- usr/lib/python3.9/site-packages/test_snappy_cffi.py
- usr/share/doc/snappy-0.5.1/AUTHORS.bz2
- usr/share/doc/snappy-0.5.1/README.rst.bz2
- var/db/pkg/dev-python/snappy-0.5.1/BUILD_TIME
- var/db/pkg/dev-python/snappy-0.5.1/CATEGORY
- var/db/pkg/dev-python/snappy-0.5.1/CBUILD
- var/db/pkg/dev-python/snappy-0.5.1/CFLAGS
- var/db/pkg/dev-python/snappy-0.5.1/CHOST
- var/db/pkg/dev-python/snappy-0.5.1/CONTENTS
- var/db/pkg/dev-python/snappy-0.5.1/COUNTER
- var/db/pkg/dev-python/snappy-0.5.1/CXXFLAGS
- var/db/pkg/dev-python/snappy-0.5.1/DEFINED_PHASES
- var/db/pkg/dev-python/snappy-0.5.1/DEPEND
- var/db/pkg/dev-python/snappy-0.5.1/DESCRIPTION
- var/db/pkg/dev-python/snappy-0.5.1/EAPI
- var/db/pkg/dev-python/snappy-0.5.1/FEATURES
- var/db/pkg/dev-python/snappy-0.5.1/HOMEPAGE
- var/db/pkg/dev-python/snappy-0.5.1/INHERITED
- var/db/pkg/dev-python/snappy-0.5.1/IUSE
- var/db/pkg/dev-python/snappy-0.5.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/snappy-0.5.1/KEYWORDS
- var/db/pkg/dev-python/snappy-0.5.1/LDFLAGS
- var/db/pkg/dev-python/snappy-0.5.1/LICENSE
- var/db/pkg/dev-python/snappy-0.5.1/NEEDED
- var/db/pkg/dev-python/snappy-0.5.1/PF
- var/db/pkg/dev-python/snappy-0.5.1/PROVIDES
- var/db/pkg/dev-python/snappy-0.5.1/RDEPEND
- var/db/pkg/dev-python/snappy-0.5.1/REQUIRES
- var/db/pkg/dev-python/snappy-0.5.1/SIZE
- var/db/pkg/dev-python/snappy-0.5.1/SLOT
- var/db/pkg/dev-python/snappy-0.5.1/USE
- var/db/pkg/dev-python/snappy-0.5.1/environment.bz2
- var/db/pkg/dev-python/snappy-0.5.1/repository
- var/db/pkg/dev-python/snappy-0.5.1/snappy-0.5.1.ebuild
package_cacheimage: ""
runtime:
  name: snappy
  version: 0.5.1
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: snappy
    version: '>=0'
    category: app-arch
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Python library for the snappy compression library from Google
  uri:
  - https://pypi.org/project/python-snappy/
  license: BSD
  labels:
    DEPEND: '>=app-arch/snappy-1.0.2:= dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
      ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
      ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: '>=app-arch/snappy-1.0.2:= python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
    emerge.packages: dev-python/snappy
    kit: python-modules-kit
    original.package.name: dev-python/snappy
    original.package.slot: "0"
    original.package.version: 0.5.1
